Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

break to break at point command

6 REPLIES 6
Reply
Message 1 of 7
Anonymous
12655 Views, 6 Replies

break to break at point command

Is it possible to change te Break command permanently in the Break at Point command?
I never use break, only break at point.

Changing te macro for break ^C^C_break to the macro for break at point ^C^C_break \_f \@ doesn't work.

To do it manualy at the command prompt takes to much keyboard entries and mouse clicking.

And I didn't find a system variably to control this

thanks Edited by: AR003 on Mar 19, 2010 2:47 PM
6 REPLIES 6
Message 2 of 7
Patchy
in reply to: Anonymous

(defun c:Break ()
(setvar "cmdecho" 0)
(setq osnap_mode (getvar "osmode"))
(setvar "osmode" 512)
(setq pt1 (getpoint "\nEnter Point to Break object"))
(command "break" pt1 pt1)
(setvar "cmdecho" 1)
(setvar "osmode" osnap_mode)
(princ)
)
Message 3 of 7
BillZndl
in reply to: Anonymous

http://discussion.autodesk.com/forums/thread.jspa?messageID=1211782綆
Message 4 of 7
scot-65
in reply to: Anonymous

Here's a quickie that I have been using for years!!!
Most previous employees who left behind our menu system call back to request this.

(defun c:BA ()(command "Break" pause "f" pause (getvar "lastpoint"))(princ))

Break At...
Does not work on closed polylines.

Scot-65
A gift of extraordinary Common Sense does not require an Acronym Suffix to be added to my given name.


Message 5 of 7
jcartigny
in reply to: Anonymous

Are you shure your macro doesn't work ?
In the standard toolbar DRAW is a button Break At Point with your macro.
It does what it should do.

May be you forgot a space behind F ?
Osnap gives problems, so you should switch it off.

^C^C_Break;\f;'osnap;none;\@

I don't like spaces in macro's, so I used ;
This solution works also in Autocad LT !

Jan
Message 6 of 7
stevor
in reply to: Anonymous

The lisp methods may work better anyway.
S
Message 7 of 7
morning0508
in reply to: Patchy

The AutoCAD built-in Break at Point does not work well because of AutoSnap. AutoSnap has to be temporarily turned off (important!!). I've written the following Lisp which allows user to select and object, and followed by picking a break point, command will be sent out with AutoSnap turned off temporarily.


(defun c:ba (/ obj pt1 osmode cmdecho)

  (setq obj (car (entsel)))
  (setq pt1 (getpoint "\nSpecify break point: "))

  (setq osmode (getvar "osmode"))
  (setq cmdecho (getvar "cmdecho"))
  (setvar "osmode" 0)
  (setvar "cmdecho" 0)

  (command "break" obj pt1 pt1)

  (setvar "osmode" osmode)
  (setvar "cmdecho" cmdecho)

  (princ)

)

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost